"""
Python3 sample script to call ViewUSerRecords
"""
import requests

# Post url
URL = 'http://192.168.1.52:8088/ViewUserRecords'
# Creds
USER_NAME = "RestUser"
PASSWORD = "RestPassword"

# ====== Main ======
req = requests.post(URL,
                    auth=(USER_NAME, PASSWORD))
if (req.status_code == 200):
    resp = req.json()
    for entry in resp:
        print(entry)
else:
    print('Bad response code: %d' % (req.status_code))
